--- ./scp2/source/extensions/module_extensions.scp	2012-10-03 13:05:01.000000000 +0100
+++ ./scp2/source/extensions/module_extensions.scp	2013-03-11 12:01:45.373552254 +0000
@@ -57,36 +57,6 @@
 End
 #endif
 
-/* ** Report Builder ** */
-
-#ifndef WITHOUT_EXTENSION_REPORTDESIGN
-Module gid_Module_Optional_Extensions_REPORTDESIGN
-    PackageInfo = "packinfo_extensions.txt";
-    MOD_NAME_DESC(MODULE_OPTIONAL_EXTENSIONS_REPORTDESIGN);
-    ParentID = gid_Module_Optional_Extensions;
-    Files = (
-        gid_File_Oxt_Report_Builder );
-    Minimal = NO;
-    Default = YES;
-    Styles = ( );
-End
-#endif
-
-/* ** MediaWiki Publisher** */
-
-#ifndef WITHOUT_EXTENSION_MEDIAWIKI
-Module gid_Module_Optional_Extensions_MEDIAWIKI
-    PackageInfo = "packinfo_extensions.txt";
-    MOD_NAME_DESC(MODULE_OPTIONAL_EXTENSIONS_MEDIAWIKI);
-    ParentID = gid_Module_Optional_Extensions;
-    Files = (
-        gid_File_Oxt_MediaWiki );
-    Minimal = NO;
-    Default = YES;
-    Styles = ( );
-End
-#endif
-
 /* ** Presenter Screen ** */
 
 #ifndef WITHOUT_EXTENSION_PRESENTER_SCREEN
@@ -252,21 +222,6 @@
 End
 #endif
 
-/* ** NLPSolver ** */
-
-#ifdef WITH_EXTENSION_NLPSOLVER
-Module gid_Module_Optional_Extensions_NLPSolver
-    PackageInfo = "packinfo_extensions.txt";
-    MOD_NAME_DESC(MODULE_OPTIONAL_EXTENSIONS_NLPSOLVER);
-    ParentID = gid_Module_Optional_Extensions;
-    Files = (
-        gid_File_Oxt_NLPSolver );
-    Minimal = NO;
-    Default = YES;
-    Styles = ( );
-End
-#endif
-
 /* ** LanguageTool ** */
 
 #ifdef WITH_EXTENSION_LANGUAGETOOL
@@ -324,44 +279,6 @@
 End
 #endif
 
-/* ** Script provider for BeanShell ** */
-
-#if defined SOLAR_JAVA && !defined WITHOUT_EXTENSION_SCRIPTING_BEANSHELL
-
-Module gid_Module_Optional_Extensions_Script_Provider_For_Beanshell
-    PackageInfo = "packinfo_extensions.txt";
-    MOD_NAME_DESC(MODULE_OPTIONAL_EXTENSIONS_SCRIPT_PROVIDER_FOR_BEANSHELL);
-    ParentID = gid_Module_Optional_Extensions;
-    Files = (
-        gid_File_Jar_Bsh,
-        gid_File_Jar_Scriptproviderforbeanshell,
-        gid_File_Rdb_Scriptproviderforbeanshell );
-    Minimal = NO;
-    Default = YES;
-    Styles = ( );
-End
-
-#endif
-
-/* ** Script provider for JavaScript ** */
-
-#if defined SOLAR_JAVA && !defined WITHOUT_EXTENSION_SCRIPTING_JAVASCRIPT
-
-Module gid_Module_Optional_Extensions_Script_Provider_For_Javascript
-    PackageInfo = "packinfo_extensions.txt";
-    MOD_NAME_DESC(MODULE_OPTIONAL_EXTENSIONS_SCRIPT_PROVIDER_FOR_JAVASCRIPT);
-    ParentID = gid_Module_Optional_Extensions;
-    Files = (
-        gid_File_Jar_Js,
-        gid_File_Jar_Scriptproviderforjavascript,
-        gid_File_Rdb_Scriptproviderforjavascript );
-    Minimal = NO;
-    Default = YES;
-    Styles = ( );
-End
-
-#endif
-
 /* ** Script provider for Python ** */
 
 #ifndef WITHOUT_EXTENSION_SCRIPTING_PYTHON
